<!-- README.md is generated from README.Rmd. Please edit that file -->



# peperr

# Parallelised Estimation of Prediction Error <img src="man/figures/logo.png" align="right" width="200"/>

## Maintainer F. Bertrand


<!-- badges: start -->
[![Lifecycle: stable](https://img.shields.io/badge/lifecycle-stable-green.svg)](https://lifecycle.r-lib.org/articles/stages.html)
[![Project Status: Active – The project has reached a stable, usable state and is being actively developed.](https://www.repostatus.org/badges/latest/active.svg)](https://www.repostatus.org/#active)
[![R-CMD-check](https://github.com/fbertran/peperr/workflows/R-CMD-check/badge.svg)](https://github.com/fbertran/peperr/actions)
[![Codecov test coverage](https://codecov.io/gh/fbertran/peperr/branch/master/graph/badge.svg)](https://app.codecov.io/gh/fbertran/peperr?branch=master)
[![CRAN status](https://www.r-pkg.org/badges/version/peperr)](https://CRAN.R-project.org/package=peperr)
[![CRAN RStudio mirror downloads](https://cranlogs.r-pkg.org/badges/peperr)](https://cran.r-project.org/package=peperr)
[![GitHub Repo stars](https://img.shields.io/github/stars/fbertran/peperr?style=social)](https://github.com/fbertran/peperr)
[![DOI](https://zenodo.org/badge/347140355.svg)](https://zenodo.org/badge/latestdoi/347140355)
<!-- badges: end -->

`peperr` is designed for prediction error estimation through resampling techniques, possibly accelerated by parallel execution on a compute cluster. Newly developed model fitting routines can be easily incorporated. Methods used in the package are detailed in Porzelius Ch., Binder H. and Schumacher M. (2009) [10.1093/bioinformatics/btp062](https://doi.org/10.1093/bioinformatics/btp062) and were used, for instance, in Porzelius Ch., Schumacher M.and  Binder H. (2011) [10.1007/s00180-011-0236-6](https://doi.org/10.1007/s00180-011-0236-6).

## Installation

You can install the released version of peperr from [CRAN](https://CRAN.R-project.org) with:


```r
install.packages("peperr")
```

And the development version from [GitHub](https://github.com/) with:


```r
install.packages("devtools")
devtools::install_github("fbertran/peperr")
```


